// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import ElementUI from 'element-ui'
import store from './store'
import './utils/G_websign.js'
// import  './utils/Loadwebsign.js'
import { WebSeal, GetSealData, GetWebObj, SetSealDataEx, SetSealData, ShowSeal } from '@/utils/websign_main.js'
import './utils/G_websign.css'
import './utils/jquery-2.2.0.min.js'
import 'element-ui/lib/theme-chalk/index.css'
import './style/font/iconfont.css'
import './style/style.css'
import './style/style.scss'
import './style/font/style.css'
import 'font-awesome/css/font-awesome.min.css'
import VueQuillEditor from 'vue-quill-editor'
import Print from '@/utils/print.js'
import dayjs from "dayjs"//时间格式化

// require styles 引入样式
import 'quill/dist/quill.core.css'
import 'quill/dist/quill.snow.css'
import 'quill/dist/quill.bubble.css'
Vue.use(VueQuillEditor)
Vue.use(Print);
import '@/permission'
import { library } from '@fortawesome/fontawesome-svg-core'
import { faFileWord } from '@fortawesome/free-solid-svg-icons'

//新签章
import { signature, preservSignature, signatureOnload } from '@/utils/H5Signature.js'
//签章new
Vue.prototype.$signature = signature
Vue.prototype.$preservSignature = preservSignature
Vue.prototype.$signatureOnload = signatureOnload

//1.引入时间处理函数
import utils from './utils/index'
//2.将时间处理函数方法绑定到全局

Vue.prototype.$utils = utils
Vue.prototype.$WebSeal = WebSeal
Vue.prototype.$GetSealData = GetSealData
Vue.prototype.$GetWebObj = GetWebObj
Vue.prototype.$SetSealDataEx = SetSealDataEx
Vue.prototype.$SetSealData = SetSealData
Vue.prototype.$ShowSeal = ShowSeal

Vue.prototype.$dayjs = dayjs

Vue.use(ElementUI)

Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app")
/*
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
*/
