import Vue from "vue";
import Router from "vue-router";
import index from "@/page/index";
import layout from "@/page/Layout/layout.vue";

// 交易委托
import tradeEntrust from "./tradeEntrust";
// 交易安排
import tradePlan from "./tradePlan";
// 信用评价系统
import creditAssess from "./creditAssess";
//客户管理
import tradingCheck from "@/page/transaction/customerManager/tradingCheck";
import tradingDetail from "@/page/transaction/customerManager/tradingDetail";
// 合同信息
import contractInfo from "@/page/transaction/registrationFee/contractInfo/index";
import contractInfoLog from "@/page/transaction/registrationFee/contractInfo/log";
import contractInfoDetail from "@/page/transaction/registrationFee/contractInfo/detail";
//报名缴费
import transactionSignup from "@/page/transaction/registrationFee/transactionSignup/index.vue";
import transactionSignupDetail from "@/page/transaction/registrationFee/transactionSignup/detail.vue";
import remittanceConfirm from "@/page/transaction/registrationFee/remittanceConfirm/index.vue";
import remittanceConfirmDetail from "@/page/transaction/registrationFee/remittanceConfirm/detail.vue";
import signupExamine from "@/page/transaction/registrationFee/signupExamine/index.vue";
import signupExamineDetail from "@/page/transaction/registrationFee/signupExamine/detail.vue";
import feeMaintain from "@/page/transaction/registrationFee/feeMaintain/index.vue";
import outinRecord from "@/page/transaction/registrationFee/outinRecord/index.vue";
import outinRecordDetail from "@/page/transaction/registrationFee/outinRecord/detail.vue";

//交易报名查看
import seeTransactionSignup from "@/page/transaction/registrationFee/seeTransactionSignup/index";
import seeTransactionSignupDetail from "@/page/transaction/registrationFee/seeTransactionSignup/detail";

//粮食竞价交易
import transactionSignupFood from "@/page/transaction/trading/transactionSignupFood/index.vue";
import transactionSignupFoodDetail from "@/page/transaction/trading/transactionSignupFood/detail.vue";
//交易细则
import tradingRules from "@/page/transaction/trading/tradingRules/index.vue";
import tradingRulesDetails from "@/page/transaction/trading/tradingRules/details.vue";
//交易结果
import transactionResults from "@/page/transaction/trading/transactionResults/index.vue";
import transactionResultsDetail from "@/page/transaction/trading/transactionResults/detail.vue";

// 场次信息
import fieldInfo from "@/page/transaction/trading/fieldInfo/index.vue";
import fieldInfoDetail from "@/page/transaction/trading/fieldInfo/detail.vue";
import fieldInfoObj from "@/page/transaction/trading/fieldInfo/transObj.vue";

//成交设置
import transactionSetup from "@/page/transaction/trading/transactionSetup/index.vue";
import transactionSetupDetail from "@/page/transaction/trading/transactionSetup/detail.vue";
import transactionSetupObj from "@/page/transaction/trading/transactionSetup/transObj.vue";

//成交退款
import refundDelegationList from "@/page/transaction/ensureManage/refundDelegationList.vue";
import refundDelegationDetail from "@/page/transaction/ensureManage/refundDelegationDetail.vue";
import receiveDelegationList from "@/page/transaction/ensureManage/receiveDelegationList.vue";
import receiveDelegationDetail from "@/page/transaction/ensureManage/receiveDelegationDetail.vue";
import marginRefundList from "@/page/transaction/ensureManage/marginRefundList.vue";
import marginRefundDetail1 from "@/page/transaction/ensureManage/marginRefundDetail.vue";
import marginRefundDetail from "@/page/transaction/ensureManage/business/refund.vue";
import marginRefundFinancialList from "@/page/transaction/ensureManage/marginRefundFinancialList.vue";
import marginRefundFinancialDetail1 from "@/page/transaction/ensureManage/marginRefundFinancialDetail.vue";
import marginRefundFinancialDetail from "@/page/transaction/ensureManage/financial/refund.vue";

import entransactionHandling from "@/page/transaction/ensureManage/transactionHandling/index.vue";
import entransactionHandlingDetail from "@/page/transaction/ensureManage/transactionHandling/detail.vue";
import entransactionResponsibility from "@/page/transaction/ensureManage/transactionResponsibility/index.vue";
import entransactionResponsibilityDetail from "@/page/transaction/ensureManage/transactionResponsibility/detail.vue";
import entransactionFinance from "@/page/transaction/ensureManage/transactionFinance/index.vue";
import entransactionFinanceDetail from "@/page/transaction/ensureManage/transactionFinance/detail.vue";
import entransactionSettlement from "@/page/transaction/ensureManage/transactionSettlement/index.vue";
import entransactionSettlementDetail from "@/page/transaction/ensureManage/transactionSettlement/detail.vue";
import entransactionManagement from "@/page/transaction/ensureManage/transactionManagement/index.vue";
import entransactionManagementDetail from "@/page/transaction/ensureManage/transactionManagement/detail.vue";
transactionManagement;

// 未成交退款
import businessDepartment from "@/page/transaction/untradedMarginRefund/businessDepartment/index.vue";
import businessDepartmentDetail from "@/page/transaction/untradedMarginRefund/businessDepartment/detail.vue";
import financialDepartment from "@/page/transaction/untradedMarginRefund/financialDepartment/index.vue";
import financialDepartmentDetail from "@/page/transaction/untradedMarginRefund/financialDepartment/detail.vue";
import transactionHandling from "@/page/transaction/untradedMarginRefund/transactionHandling/index.vue";
import transactionHandlingDetail from "@/page/transaction/untradedMarginRefund/transactionHandling/detail.vue";
import transactionResponsibility from "@/page/transaction/untradedMarginRefund/transactionResponsibility/index.vue";
import transactionResponsibilityDetail from "@/page/transaction/untradedMarginRefund/transactionResponsibility/detail.vue";
import transactionFinance from "@/page/transaction/untradedMarginRefund/transactionFinance/index.vue";
import transactionFinanceDetail from "@/page/transaction/untradedMarginRefund/transactionFinance/detail.vue";
import transactionSettlement from "@/page/transaction/untradedMarginRefund/transactionSettlement/index.vue";
import transactionSettlementDetail from "@/page/transaction/untradedMarginRefund/transactionSettlement/detail.vue";
import transactionManagement from "@/page/transaction/untradedMarginRefund/transactionManagement/index.vue";
import transactionManagementDetail from "@/page/transaction/untradedMarginRefund/transactionManagement/detail.vue";
transactionManagement;

//交易申诉
import transactionFiling from "@/page/transaction/transactionComplaint/transactionFiling/index.vue";
import transactionFilingDetail from "@/page/transaction/transactionComplaint/transactionFiling/detail.vue";
import transactionHandle from "@/page/transaction/transactionComplaint/transactionHandle/index.vue";
import transactionHandleDetail from "@/page/transaction/transactionComplaint/transactionHandle/detail.vue";
import transactionNotice from "@/page/transaction/transactionComplaint/transactionNotice/index.vue";
import transactionNoticeDetail from "@/page/transaction/transactionComplaint/transactionNotice/detail.vue";

//交易诉求
import transactionDemandsFiling from "@/page/transaction/transactionDemands/transactionFiling/index.vue";
import transactionDemandsFilingDetail from "@/page/transaction/transactionDemands/transactionFiling/detail.vue";
import transactionDemandsHandle from "@/page/transaction/transactionDemands/transactionHandle/index.vue";
import transactionDemandsHandleDetail from "@/page/transaction/transactionDemands/transactionHandle/detail.vue";
import transactionDemandsNotice from "@/page/transaction/transactionDemands/transactionNotice/index.vue";
import transactionDemandsNoticeDetail from "@/page/transaction/transactionDemands/transactionNotice/detail.vue";

//交易通知
import transactionBusiness from "@/page/transaction/transactionAdvise/transactionBusiness/index.vue";
import transactionBusinessDetail from "@/page/transaction/transactionAdvise/transactionBusiness/detail.vue";
import transactionAdviseCenter from "@/page/transaction/transactionAdvise/transactionAdviseCenter/index.vue";
import transactionAdviseCenterDetail from "@/page/transaction/transactionAdvise/transactionAdviseCenter/detail.vue";
// 场次安排
import fieldPlanList from "@/page/transaction/fieldPlan/index.vue";
import fieldPlanDetail from "@/page/transaction/fieldPlan/detail.vue";
import fieldPlanObj from "@/page/transaction/fieldPlan/transObj.vue";
// 交易底价 /transaction/tradingFloorPrice/index
import tradingFloorPriceList from "@/page/transaction/tradingFloorPrice/index.vue";
import tradingFloorPriceDetail from "@/page/transaction/tradingFloorPrice/detail.vue";
import tradingFloorPriceObj from "@/page/transaction/tradingFloorPrice/transObj.vue";

// 交易报表
import dealStatistical from "@/page/transaction/statisticalReport/dealStatistical/index.vue";
import dealStatisticalDetails from "@/page/transaction/statisticalReport/dealStatistical/details.vue";
import commissionStatistical from "@/page/transaction/statisticalReport/commissionStatistical/index.vue";
import commissionStatisticalDetail from "@/page/transaction/statisticalReport/commissionStatistical/details.vue";
import transactionSummary from "@/page/transaction/statisticalReport/transactionSummary/index.vue";
import transactionStatisticsSummary from "@/page/transaction/statisticalReport/transactionStatisticsSummary/index.vue";
// 接收保证金通知
import FullPerformance from "@/page/transaction/ReceivingDeposit/FullPerformance/index.vue";
import FullPerformanceDetail from "@/page/transaction/ReceivingDeposit/FullPerformance/detail.vue";
import PartialPerformance from "@/page/transaction/ReceivingDeposit/PartialPerformance/index.vue";
import PartialPerformanceDetail from "@/page/transaction/ReceivingDeposit/PartialPerformance/detail.vue";
// 履约提醒
import contractRemindList from "@/page/transaction/contractRemind/index.vue";
import contractRemindInstall from "@/page/transaction/contractRemind/install.vue";
// 提醒列表
import TradeAlertWriteBack from "@/page/transaction/TradeAlert/writeBack.vue";
import tradeAlertList from "@/page/transaction/TradeAlert/index.vue";
// 保证金退款
import marginDepositNotice from "@/page/transaction/marginDeposit/marginDepositNotice.vue";
import marginDepositDetail from "@/page/transaction/marginDeposit/marginDepositDetail.vue";
import nonPerformanceLetter from "@/page/transaction/marginDeposit/nonPerformanceLetter.vue";
import nonPerformanceNoticeDetail from "@/page/transaction/marginDeposit/nonPerformanceNoticeDetail.vue";
import nonPerformanceLetterDetail from "@/page/transaction/marginDeposit/nonPerformanceLetterDetail.vue";

// 交易报表
import registrationStatus from "@/page/transaction/registrationStatus/index.vue";
import registrationStatusDetails from "@/page/transaction/registrationStatus/details.vue";
Vue.use(Router);

export default new Router({
	// mode:'history',
	routes: [
		{
			path: "/login",
			name: "login",
			component: () => import("@/page/login/index"),
		},
		// {
		//   path: '/userinfo',
		//   name: 'userinfo',
		//   component: () =>
		//     import('@/page/login/userInfo'),
		// },
		{
			//
			path: "/",
			name: "index",
			component: index,
			children: [
				{
					path: "/transaction",
					name: "layout",
					component: layout,
					children: [
						// 交易委托
						tradeEntrust,
						// 交易安排
						tradePlan,
						// 场次安排
						{
							path: "/transaction/fieldPlan",
							name: "fieldPlan",
							meta: {
								title: "场次安排",
							},
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path: "/transaction/fieldPlan/index",
									name: "fieldPlanList",
									meta: {
										title: "安排场次",
									},
									component: fieldPlanList,
								},
								{
									// 新增
									path: "/transaction/fieldPlan/add",
									name: "fieldPlanAdd",
									meta: {
										title: "新增",
									},
									component: fieldPlanDetail,
								},
								// 修改
								{
									path: "/transaction/fieldPlan/update",
									name: "fieldPlanUpdate",
									meta: {
										title: "编辑",
									},
									component: fieldPlanDetail,
								},
								// 详情
								{
									path: "/transaction/fieldPlan/detail",
									name: "fieldPlanDetail",
									meta: {
										title: "详情",
									},
									component: fieldPlanDetail,
								},
								{
									path: "/transaction/fieldPlan/transObj",
									name: "fieldPlanObj",
									meta: {
										title: "标的详情",
									},
									component: fieldPlanObj,
								},
							],
						},
						{
							path: "/transaction/contractRemind",
							name: "contractRemind",
							meta: {
								title: "敦促履约函",
							},
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path: "/transaction/contractRemind/index",
									name: "contractRemindList",
									meta: {
										title: "敦促履约函",
									},
									component: contractRemindList,
								},
								{
									path: "/transaction/contractRemind/install",
									name: "contractRemindInstall",
									meta: {
										title: "设置提醒期限",
									},
									component: contractRemindInstall,
								},
							],
						},
						{
							path: "/transaction/TradeAlert",
							name: "TradeAlert",
							meta: {
								title: "履约提醒",
							},
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path: "/transaction/TradeAlert/index",
									name: "tradeAlertList",
									meta: {
										title: "履约提醒列表",
									},
									component: tradeAlertList,
								},
								{
									path: "/transaction/TradeAlert/writeBack",
									name: "TradeAlertWriteBack",
									meta: {
										title: "回复履约函",
									},
									component: TradeAlertWriteBack,
								},
							],
						},
						// 接收保证金通知
						{
							path: "/transaction/ReceivingDeposit",
							name: "ReceivingDeposit",
							meta: {
								title: "接收保证金通知",
							},
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path:
										"/transaction/ReceivingDeposit/FullPerformance",
									name: "FullPerformance",
									meta: {
										title: "全部履约",
									},
									component: FullPerformance,
								},
								{
									path:
										"/transaction/ReceivingDeposit/FullPerformance/detail",
									name: "FullPerformanceDetail",
									meta: {
										title: "保证金通知单详情",
									},
									component: FullPerformanceDetail,
								},
								{
									path:
										"/transaction/ReceivingDeposit/PartialPerformance",
									name: "PartialPerformance",
									meta: {
										title: "部分履约",
									},
									component: PartialPerformance,
								},
								{
									path:
										"/transaction/ReceivingDeposit/FullPerformance/detail",
									name: "PartialPerformanceDetail",
									meta: {
										title: "履约说明函详情",
									},
									component: PartialPerformanceDetail,
								},
							],
						},
						// 交易底价
						{
							path: "/transaction/tradingFloorPrice",
							name: "tradingFloorPrice",
							meta: {
								title: "交易底价",
							},
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path:
										"/transaction/tradingFloorPrice/index",
									name: "tradingFloorPriceList",
									meta: {
										title: "底价",
									},
									component: tradingFloorPriceList,
								},
								{
									// 新增
									path:
										"/transaction/tradingFloorPrice/detail/add",
									name: "tradingFloorPriceDetailAdd",
									meta: {
										title: "新增",
									},
									component: tradingFloorPriceDetail,
								},
								{
									path:
										"/transaction/tradingFloorPrice/detail",
									name: "tradingFloorPriceDetail",
									meta: {
										title: "查看",
									},
									component: tradingFloorPriceDetail,
								},
								{
									// 修改
									path:
										"/transaction/tradingFloorPrice/detail/update",
									name: "tradingFloorPriceDetailUpdate",
									meta: {
										title: "修改",
									},
									component: tradingFloorPriceDetail,
								},
								{
									path:
										"/transaction/tradingFloorPrice/transObj",
									name: "tradingFloorPriceObj",
									meta: {
										title: "标的详情",
									},
									component: tradingFloorPriceObj,
								},
							],
						},
						// 信用评价系统
						creditAssess,
						//客户管理
						{
							path: "/transaction/customerManager",
							name: "customerManager",
							meta: {
								title: "客户管理",
							},
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path:
										"/transaction/customerManager/tradingCheck",
									name: "tradingCheck",
									meta: {
										title: "交易用户审核",
									},
									component: tradingCheck,
								},
								{
									path:
										"/transaction/customerManager/tradingDetail",
									name: "tradingDetail",
									meta: {
										title: "交易用户审核详情",
									},
									component: tradingDetail,
								},
							],
						},
						{
							path:
								"/transaction/registrationFee/contractInfo/index",
							name: "contractInfo",
							meta: {
								title: "合同信息",
							},
							component: contractInfo,
							children: []
						},
						{
							path:
								"/transaction/registrationFee/contractInfo/detail",
							name: "contractInfoDetail",
							meta: {
								title: "合同信息详情",
							},
							component: contractInfoDetail,
						},
						{
							path:
								"/transaction/registrationFee/contractInfo/log",
							name: "contractInfoLog",
							meta: {
								title: "合同信息详情",
							},
							component: contractInfoLog,
						},
						// 轮转计划管理 内蒙
						{
							path: "/transaction/registrationFee",
							name: "registrationFee",
							meta: {
								title: "报名缴费",
							},
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path:
										"/transaction/registrationFee/seeTransactionSignup/index",
									name: "seeTransactionSignup",
									meta: {
										title: "交易报名查看",
									},
									component: seeTransactionSignup,
								},
								{
									path:
										"/transaction/registrationFee/seeTransactionSignup/detail",
									name: "seeTransactionSignupDetail",
									meta: {
										title: "交易报名查看详情",
									},
									component: seeTransactionSignupDetail,
								},
								{
									path:
										"/transaction/registrationFee/transactionSignup/index",
									name: "transactionSignup",
									meta: {
										title: "交易报名",
									},
									component: transactionSignup,
								},
								{
									path:
										"/transaction/registrationFee/transactionSignup/detail",
									name: "transactionSignupDetail",
									meta: {
										title: "交易报名",
									},
									component: transactionSignupDetail,
								},
								{
									path:
										"/transaction/registrationFee/signupExamine/index",
									name: "signupExamine",
									meta: {
										title: "报名审核",
									},
									component: signupExamine,
								},
								{
									path:
										"/transaction/registrationFee/signupExamine/detail",
									name: "signupExamineDetail",
									meta: {
										title: "报名审核详情",
									},
									component: signupExamineDetail,
								},
								{
									path:
										"/transaction/registrationFee/feeMaintain/index",
									name: "feeMaintain",
									meta: {
										title: "手续费率维护",
									},
									component: feeMaintain,
								},
								{
									path:
										"/transaction/registrationFee/remittanceConfirm/index",
									name: "remittanceConfirm",
									meta: {
										title: "汇款确认",
									},
									component: remittanceConfirm,
								},
								{
									path:
										"/transaction/registrationFee/remittanceConfirm/detail",
									name: "remittanceConfirmDetail",
									meta: {
										title: "汇款确认详情",
									},
									component: remittanceConfirmDetail,
								},
								{
									path:
										"/transaction/registrationFee/outinRecord/index",
									name: "outinRecord",
									meta: {
										title: "出入库记录查询",
									},
									component: outinRecord,
								},
								{
									path:
										"/transaction/registrationFee/outinRecord/detail",
									name: "outinRecordDetail",
									meta: {
										title: "出入库记录查询详情",
									},
									component: outinRecordDetail,
								},
							],
						},
						//交易安排
						{
							path: "/trading",
							name: "trading",
							meta: {
								title: "交易安排",
							},
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path:
										"/transaction/trading/fieldInfo/index",
									name: "fieldInfo",
									meta: {
										title: "场次信息",
									},
									component: fieldInfo,
								},
								{
									path:
										"/transaction/trading/fieldInfo/detail",
									name: "fieldInfoDetail",
									meta: {
										title: "场次信息详情",
									},
									component: fieldInfoDetail,
								},
								{
									path:
										"/transaction/trading/fieldInfo/transObj",
									name: "fieldInfoObj",
									meta: {
										title: "标的详情",
									},
									component: fieldInfoObj,
								},
								{
									path:
										"/transaction/trading/transactionSetup/index",
									name: "transactionSetup",
									meta: {
										title: "成交设置",
									},
									component: transactionSetup,
								},
								{
									path:
										"/transaction/trading/transactionSetup/detail",
									name: "transactionSetupDetail",
									meta: {
										title: "成交设置详情",
									},
									component: transactionSetupDetail,
								},
								{
									path:
										"/transaction/trading/transactionSetup/transObj",
									name: "transactionSetupObj",
									meta: {
										title: "标的详情",
									},
									component: transactionSetupObj,
								},
								{
									// 交易细则
									path:
										"/transaction/trading/tradingRules/index",
									name: "tradingRules",
									meta: {
										title: "交易细则",
									},
									component: tradingRules,
								},
								{
									// 交易细则详情
									path:
										"/transaction/trading/tradingRules/details",
									name: "tradingRulesDetails",
									meta: {
										title: "交易细则详情",
									},
									component: tradingRulesDetails,
								},
								{
									// 交易结果
									path:
										"/transaction/trading/transactionResults/index",
									name: "transactionResults",
									meta: {
										title: "交易结果",
									},
									component: transactionResults,
								},
								{
									// 交易结果详情
									path:
										"/transaction/trading/transactionResults/detail",
									name: "transactionResultsDetail",
									meta: {
										title: "交易结果详情",
									},
									component: transactionResultsDetail,
								},
								{
									// 粮食竞价交易标的
									path:
										"/transaction/trading/transactionSignupFood/index",
									name: "transactionSignupFood",
									meta: {
										title: "交易标的",
									},
									component: transactionSignupFood,
								},
								{
									// 交易标的
									path:
										"/transaction/trading/transactionSignupFood/detail",
									name: "transactionSignupFoodDetail",
									meta: {
										title: "交易标的",
									},
									component: transactionSignupFoodDetail,
								},
							],
						},
						{
							path: "untradedMarginRefund",
							name: "untradedMarginRefund",
							meta: { title: "未成交保证金退款" },
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path: "businessDepartment/index",
									name: "businessDepartment",
									meta: { title: "未成交退款(业务部)" },
									component: businessDepartment,
								},
								{
									path: "businessDepartment/detail",
									name: "businessDepartmentDetail",
									meta: { title: "未成交退款(业务部)详情" },
									component: businessDepartmentDetail,
								},
								{
									path: "financialDepartment/index",
									name: "financialDepartment",
									meta: { title: "未成交退款(财务部)" },
									component: financialDepartment,
								},
								{
									path: "financialDepartment/detail",
									name: "financialDepartmentDetail",
									meta: { title: "未成交退款(财务部)详情" },
									component: financialDepartmentDetail,
								},
								{
									path: "transactionHandling/index",
									name: "transactionHandling",
									meta: { title: "保证金退还(交易部经办人)" },
									component: transactionHandling,
								},
								{
									path: "transactionHandling/detail",
									name: "transactionHandlingDetail",
									meta: {
										title: "保证金退还(交易部经办人)详情",
									},
									component: transactionHandlingDetail,
								},
								{
									path: "transactionResponsibility/index",
									name: "transactionResponsibility",
									meta: { title: "保证金退还(交易部负责人)" },
									component: transactionResponsibility,
								},
								{
									path: "transactionResponsibility/detail",
									name: "transactionResponsibilityDetail",
									meta: {
										title: "保证金退还(交易部负责人)详情",
									},
									component: transactionResponsibilityDetail,
								},
								{
									path: "transactionFinance/index",
									name: "transactionFinance",
									meta: { title: "保证金退还(财务审批)" },
									component: transactionFinance,
								},
								{
									path: "transactionFinance/detail",
									name: "transactionFinanceDetail",
									meta: { title: "保证金退还(财务审批)详情" },
									component: transactionFinanceDetail,
								},
								{
									path: "transactionSettlement/index",
									name: "transactionSettlement",
									meta: { title: "保证金退还(结算部负责人)" },
									component: transactionSettlement,
								},
								{
									path: "transactionSettlement/detail",
									name: "transactionSettlementDetail",
									meta: {
										title: "保证金退还(结算部负责人)详情",
									},
									component: transactionSettlementDetail,
								},
								{
									path: "transactionManagement/index",
									name: "transactionManagement",
									meta: { title: "保证金退还(分管副总裁)" },
									component: transactionManagement,
								},
								{
									path: "transactionManagement/detail",
									name: "transactionManagementDetail",
									meta: {
										title: "保证金退还(分管副总裁)详情",
									},
									component: transactionManagementDetail,
								},
							],
						},
						//保证金退款
						{
							path: "ensureManage",
							name: "ensureManage",
							meta: {
								title: "成交保证金退款",
							},
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path:
										"/transaction/ensureManage/refundDelegationList",
									name: "refundDelegationList",
									meta: {
										title: "退保证金委托函",
									},
									component: refundDelegationList,
								},
								{
									path:
										"/transaction/ensureManage/refundDelegationDetail",
									name: "refundDelegationDetail",
									meta: {
										title: "退保证金委托函详情",
									},
									component: refundDelegationDetail,
								},
								{
									path:
										"/transaction/ensureManage/receiveDelegationList",
									name: "receiveDelegationList",
									meta: {
										title: "接收委托函",
									},
									component: receiveDelegationList,
								},
								{
									path:
										"/transaction/ensureManage/receiveDelegationDetail",
									name: "receiveDelegationDetail",
									meta: {
										title: "接收委托函详情",
									},
									component: receiveDelegationDetail,
								},
								{
									path:
										"/transaction/ensureManage/marginRefundList",
									name: "marginRefundList",
									meta: {
										title: "保证金退款(业务部)",
									},
									component: marginRefundList,
								},
								{
									path:
										"/transaction/ensureManage/marginRefundDetail",
									name: "marginRefundDetail",
									meta: {
										title: "保证金退款(业务部)详情",
									},
									component: marginRefundDetail,
								},
								{
									path:
										"/transaction/ensureManage/marginRefundFinancialList",
									name: "marginRefundFinancialList",
									meta: {
										title: "保证金退款(财务部)",
									},
									component: marginRefundFinancialList,
								},
								{
									path:
										"/transaction/ensureManage/marginRefundFinancialDetail",
									name: "marginRefundFinancialDetail",
									meta: {
										title: "保证金退款(财务部)详情",
									},
									component: marginRefundFinancialDetail,
								},
								{
									path:
										"/transaction/ensureManage/marginRefundFinancialDetail1",
									name: "marginRefundFinancialDetail",
									meta: {
										title: "保证金退款(财务部)详情",
									},
									component: marginRefundFinancialDetail1,
								},
								{
									path:
										"/transaction/ensureManage/marginRefundDetail1",
									name: "marginRefundDetail",
									meta: {
										title: "保证金退款(业务部)详情",
									},
									component: marginRefundDetail1,
								},
								{
									path: "transactionHandling/index",
									name: "entransactionHandling",
									meta: { title: "保证金退还(交易部经办人)" },
									component: entransactionHandling,
								},
								{
									path: "transactionHandling/detail",
									name: "entransactionHandlingDetail",
									meta: {
										title: "保证金退还(交易部经办人)详情",
									},
									component: entransactionHandlingDetail,
								},
								{
									path: "transactionResponsibility/index",
									name: "entransactionResponsibility",
									meta: { title: "保证金退还(交易部负责人)" },
									component: entransactionResponsibility,
								},
								{
									path: "transactionResponsibility/detail",
									name: "entransactionResponsibilityDetail",
									meta: {
										title: "保证金退还(交易部负责人)详情",
									},
									component: entransactionResponsibilityDetail,
								},
								{
									path: "transactionFinance/index",
									name: "entransactionFinance",
									meta: { title: "保证金退还(财务审批)" },
									component: entransactionFinance,
								},
								{
									path: "transactionFinance/detail",
									name: "entransactionFinanceDetail",
									meta: { title: "保证金退还(财务审批)详情" },
									component: entransactionFinanceDetail,
								},
								{
									path: "transactionSettlement/index",
									name: "entransactionSettlement",
									meta: { title: "保证金退还(结算部负责人)" },
									component: entransactionSettlement,
								},
								{
									path: "transactionSettlement/detail",
									name: "entransactionSettlementDetail",
									meta: {
										title: "保证金退还(结算部负责人)详情",
									},
									component: entransactionSettlementDetail,
								},
								{
									path: "transactionManagement/index",
									name: "entransactionManagement",
									meta: { title: "保证金退还(分管副总裁)" },
									component: entransactionManagement,
								},
								{
									path: "transactionManagement/detail",
									name: "entransactionManagementDetail",
									meta: {
										title: "保证金退还(分管副总裁)详情",
									},
									component: entransactionManagementDetail,
								},
							],
						},
						//保证金退款(新)
						{
							path: "marginDeposit",
							name: "marginDeposit",
							meta: {
								title: "保证金退款",
							},
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path:
										"/transaction/marginDeposit/marginDepositNotice",
									name: "marginDepositNotice",
									meta: {
										title: "保证金退还(全部履约)",
									},
									component: marginDepositNotice,
								},
								{
									path:
										"/transaction/marginDeposit/marginDepositDetail",
									name: "marginDepositDetail",
									meta: {
										title: "申请退还保证金",
									},
									component: marginDepositDetail,
								},
								{
									path:
										"/transaction/marginDeposit/nonPerformanceLetter",
									name: "nonPerformanceLetter",
									meta: {
										title: "保证金退还(部分履约)",
									},
									component: nonPerformanceLetter,
								},
								{
									path:
										"/transaction/marginDeposit/nonPerformanceNoticeDetail",
									name: "nonPerformanceNoticeDetail",
									meta: {
										title: "部分履约通知单",
									},
									component: nonPerformanceNoticeDetail,
								},
								{
									path:
										"/transaction/marginDeposit/nonPerformanceLetterDetail",
									name: "nonPerformanceLetterDetail",
									meta: {
										title: "未履约说明函",
									},
									component: nonPerformanceLetterDetail,
								},
							],
						},
						{
							path: "/transactionComplaint",
							name: "transactionComplaint",
							meta: {
								title: "交易申诉",
							},
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path: "/transactionComplaint/filing/index",
									name: "transactionFiling",
									meta: {
										title: "交易申诉提起",
									},
									component: transactionFiling,
								},
								{
									path: "/transactionComplaint/filing/detail",
									name: "transactionFilingDetail",
									meta: {
										title: "交易申诉提起详情",
									},
									component: transactionFilingDetail,
								},
								{
									path: "/transactionComplaint/handle/index",
									name: "transactionHandle",
									meta: {
										title: "交易申诉处理",
									},
									component: transactionHandle,
								},
								{
									path: "/transactionComplaint/handle/detail",
									name: "transactionHandleDetail",
									meta: {
										title: "交易申诉处理详情",
									},
									component: transactionHandleDetail,
								},
								{
									path: "/transactionComplaint/notice/index",
									name: "transactionNotice",
									meta: {
										title: "交易申诉通知",
									},
									component: transactionNotice,
								},
								{
									path: "/transactionComplaint/notice/detail",
									name: "transactionNoticeDetail",
									meta: {
										title: "交易申诉通知详情",
									},
									component: transactionNoticeDetail,
								},
							],
						},
						{
							path: "/transactionAdvise",
							name: "transactionAdvise",
							meta: {
								title: "交易通知",
							},
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path: "/transactionAdvise/business/index",
									name: "transactionBusiness",
									meta: {
										title: "交易通知发起",
									},
									component: transactionBusiness,
								},
								{
									path: "/transactionAdvise/business/detail",
									name: "transactionBusinessDetail",
									meta: {
										title: "交易通知发起",
									},
									component: transactionBusinessDetail,
								},
								{
									path: "/transactionAdvise/center/index",
									name: "transactionAdviseCenter",
									meta: {
										title: "交易通知发起",
									},
									component: transactionAdviseCenter,
								},
								{
									path: "/transactionAdvise/center/detail",
									name: "transactionAdviseCenterDetail",
									meta: {
										title: "交易通知发起",
									},
									component: transactionAdviseCenterDetail,
								},
							],
						},
						{
							path: "/transactionDemands",
							name: "transactionDemands",
							meta: {
								title: "交易诉求",
							},
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path: "/transactionDemands/filing/index",
									name: "transactionDemandsFiling",
									meta: {
										title: "交易诉求提起",
									},
									component: transactionDemandsFiling,
								},
								{
									path: "/transactionDemands/filing/detail",
									name: "transactionDemandsFilingDetail",
									meta: {
										title: "交易诉求提起详情",
									},
									component: transactionDemandsFilingDetail,
								},
								{
									path: "/transactionDemands/handle/index",
									name: "transactionDemandsHandle",
									meta: {
										title: "交易诉求处理",
									},
									component: transactionDemandsHandle,
								},
								{
									path: "/transactionDemands/handle/detail",
									name: "transactionDemandsHandleDetail",
									meta: {
										title: "交易诉求处理详情",
									},
									component: transactionDemandsHandleDetail,
								},
								{
									path: "/transactionDemands/notice/index",
									name: "transactionDemandsNotice",
									meta: {
										title: "交易诉求通知",
									},
									component: transactionDemandsNotice,
								},
								{
									path: "/transactionDemands/notice/detail",
									name: "transactionDemandsNoticeDetail",
									meta: {
										title: "交易诉求通知详情",
									},
									component: transactionDemandsNoticeDetail,
								},
							],
						},
						{
							path: "/statisticalReport",
							name: "statisticalReport",
							meta: {
								title: "统计报表",
							},
							component: {
								render(c) {
									return c("router-view");
								},
							},
							children: [
								{
									path:
										"/transaction/statisticalReport/dealStatistical/index",
									name: "dealStatistical",
									meta: {
										title: "市级储备成交统计表",
									},
									component: dealStatistical,
								},
								{
									path:
										"/transaction/statisticalReport/dealStatistical/details",
									name: "dealStatisticalDetails",
									meta: {
										title: "成交统计表",
									},
									component: dealStatisticalDetails,
								},
								{
									path:
										"/transaction/statisticalReport/commissionStatistical/index",
									name: "commissionStatistical",
									meta: {
										title: "手续费统计表",
									},
									component: commissionStatistical,
								},
								{
									path:
										"/transaction/statisticalReport/commissionStatistical/details",
									name: "commissionStatisticalDetail",
									meta: {
										title: "手续费统计表",
									},
									component: commissionStatisticalDetail,
								},
								{
									path:
										"/transaction/statisticalReport/transactionSummary/index",
									name: "transactionSummary",
									meta: {
										title: "交易结果汇总表",
									},
									component: transactionSummary,
								},
								{
									path:
										"/transaction/statisticalReport/transactionStatisticsSummary/index",
									name: "transactionStatisticsSummary",
									meta: {
										title: "交易统计汇总表",
									},
									component: transactionStatisticsSummary,
								},
							],
						},
						{
							path: "/transaction/registrationStatus/index",
							name: "registrationStatus",
							meta: {
								title: "报名情况统计表",
							},
							component: registrationStatus,
							children:[]
						},
						{
							path: "/transaction/registrationStatus/details",
							name: "registrationStatusDetails",
							meta: {
								title: "报名客户详情",
							},
							component: registrationStatusDetails,
						},
					],
				},
			],
		},
	],
});
