import outInDepotEntrust from './outInDepotEntrust'
import outInDepotPlan from './outInDepotPlan'
import goodsSourceTable from './goodsSourceTable'
import auctionIndex from '@/page/transaction/tradePlan/auction/index.vue'
import auctionDetail from '@/page/transaction/tradePlan/auction/detail.vue'
import tradeInfoSummary from '@/page/transaction/tradePlan/tradeInfoSummary/index.vue'
import serviceChargeStatistics from '@/page/transaction/trading/serviceChargeStatistics/index.vue'
import serviceChargeStatisticsDetail from '@/page/transaction/trading/serviceChargeStatistics/detail.vue'
import announcement from '@/page/transaction/announcement/index.vue'
import announcementDetail from '@/page/transaction/announcement/detail.vue'

export default [
	{
		// 出入库委托书
		path: '/transaction/tradePlan/outInDepotEntrust/index',
		name: 'outInDepotEntrust',
		component: {
			render(c) {
				return c('router-view')
			}
		},
		meta: {
			title: '出入库委托书'
		},
		children: outInDepotEntrust
	},
	{
		// 出入库安排
		path: '/transaction/tradePlan/outInDepotPlan/index',
		name: 'outInDepotPlan',
		component: {
			render(c) {
				return c('router-view')
			}
		},
		meta: {
			title: '出入库安排'
		},
		children: outInDepotPlan
	},
	{
		// 发布公告
		path: '/transaction/announcement',
		name: 'announcement',
		component: announcement,
		meta: {
			title: '发布公告'
		}
	},
	{
		// 发布公告详情
		path: '/transaction/announcement/detail',
		name: 'announcementDetail',
		component: announcementDetail,
		meta: {
			title: '发布公告详情'
		}
	},
	{
		// 货源表
		path: '/transaction/tradePlan/goodsSourceTable/index',
		name: 'goodsSourceTable',
		component: {
			render(c) {
				return c('router-view')
			}
		},
		meta: {
			title: '货源表'
		},
		children: goodsSourceTable
	},
	{
		path: '/transaction/tradePlan/auction/index',
		name: 'auctionIndex',
		component: auctionIndex,
		meta: {
			title: '拍卖'
		}
	},
	{
		path: '/transaction/tradePlan/auction/detail',
		name: 'auctionIndex',
		component: auctionDetail,
		meta: {
			title: '拍卖合同详细信息'
		}
	},
	{
		path: '/transaction/tradePlan/tradeInfoSummary/index',
		name: 'tradeInfoSummary',
		component: tradeInfoSummary,
		meta: {
			title: '交易信息汇总'
		}
	},
	{
		path: '/transaction/trading/serviceChargeStatistics/index',
		name: 'serviceChargeStatistics',
		component: serviceChargeStatistics,
		meta: {
			title: '手续费统计表'
		}
	},
	{
		path: '/transaction/trading/serviceChargeStatistics/detail',
		name: 'serviceChargeStatisticsDetail',
		component: serviceChargeStatisticsDetail,
		meta: {
			title: '手续费统计表详情'
		}
	},

]
