export const status = {
  "toBeSubmit": {
    "name": "待提交",
    "value": "90000000"
  },
  "submitToBeSeal": {
    "name": "已提交待盖章",
    "value": "90100000"
  },
  "refused": {
    "name": "驳回",
    "value": "90200000"
  },
  "toBeReview": {
    "name": "待审核",
    "value": "90300000"
  },
  "reviewed": {
    "name": "审核通过",
    "value": "90400000"
  },
  "assigned": {
    "name": "已指定",
    "value": "90400500"
  },
  "notified": {
    "name": "已发通知",
    "value": "90400600"
  },
  "applyToBeSeal": {
    "name": "已申请待盖章",
    "value": "90400700"
  },
  "toBeRectify": {
    "name": "验收整改",
    "value": "90400800"
  },
  "toBeAccept": {
    "name": "待验收",
    "value": "90400900"
  },
  "acceptToBeSeal": {
    "name": "已验收待盖章",
    "value": "90400901"
  },
  "finish": {
    "name": "验收通过",
    "value": "90401000"
  },
  "hasRefused": {
    "name": "已驳回",
    "value": "91000008"
  },
  "toBeComfirm": {
    "name": "待确认",
    "value": "91000033"
  },
  "comfirmedToBeSeal": {
    "name": "已确认待盖章",
    "value": "91000017"
  },
  "financeComfirmed": {
    "name": "财务已确认",
    "value": "91000034"
  },
  "comfirmed": {
    "name": "已确认",
    "value": "91000018"
  },
  "submited": {
    "name": "已提交",
    "value": "91000004"
  },
  "passed": {
    "name": "已通过",
    "value": "91000013"
  },
  "didNotPass": {
    "name": "未通过",
    "value": "91000012"
  },
  "djyjb": {
    "name": "待交易经办",
    "value": "91000090"
  },
  "djysh": {
    "name": "待交易审核",
    "value": "91000091"
  },
  "dcwsp": {
    "name": "待财务审批",
    "value": "91000092"
  },
  "djssh": {
    "name": "待结算审核",
    "value": "91000093"
  },
  "dcwqp": {
    "name": "待财务签批",
    "value": "91000094"
  },
  "cgtk": {
    "name": "成交退款",
    "value": "91000055"
  },
  "wcgtk": {
    "name": "未成交退款",
    "value": "91000058"
  },

}

export const status1 = {
  "toBeSubmit": {
    "name": "待提交",
    "value": "91000001"
  },
  // "submitToBeSeal": {
  //   "name": "已提交待盖章",
  //   "value": "90100000"
  // },
  // "refused": {
  //   "name": "驳回",
  //   "value": "90200000"
  // },
  "toBeReview": {
    "name": "待审核",
    "value": "91000002"
  },
  // "reviewed": {
  //   "name": "审核通过",
  //   "value": "90400000"
  // },
  // "assigned": {
  //   "name": "已指定",
  //   "value": "90400500"
  // },
  // "notified": {
  //   "name": "已发通知",
  //   "value": "90400600"
  // },
  // "applyToBeSeal": {
  //   "name": "已申请待盖章",
  //   "value": "90400700"
  // },
  // "toBeRectify": {
  //   "name": "验收整改",
  //   "value": "90400800"
  // },
  // "toBeAccept": {
  //   "name": "待验收",
  //   "value": "90400900"
  // },
  // "acceptToBeSeal": {
  //   "name": "已验收待盖章",
  //   "value": "90400901"
  // },
  // "finish": {
  //   "name": "验收通过",
  //   "value": "90401000"
  // },
  "hasRefused": {
    "name": "审核不通过",
    "value": "91000008"
  },
  // "toBeComfirm": {
  //   "name": "待确认",
  //   "value": "91000033"
  // },
  // "comfirmedToBeSeal": {
  //   "name": "已确认待盖章",
  //   "value": "91000017"
  // },
  // "financeComfirmed": {
  //   "name": "财务已确认",
  //   "value": "91000034"
  // },
  // "comfirmed": {
  //   "name": "已确认",
  //   "value": "91000018"
  // },
  // "submited": {
  //   "name": "已提交",
  //   "value": "91000004"
  // },
  "passed": {
    "name": "审核通过",
    "value": "91000013"
  },
  "hkPassed": {
    "name": "确认已付款",
    "value": "91000003"
  },
  "hkHasRefused": {
    "name": "未付款",
    "value": "91000007"
  },
  // "didNotPass": {
  //   "name": "未通过",
  //   "value": "91000012"
  // },

}

export const ccfsStatus = [
  {
    "dictCode": "1101",
    "dictName": "散装储粮",
  },
  {
    "dictCode": "1102",
    "dictName": "包装储粮",
  },
  {
    "dictCode": "1103",
    "dictName": "围包散存",
  },
  {
    "dictCode": "1104",
    "dictName": "其他",
  },
]
export function getStatusName(value) {
  for (let key in status) {
    if (status[key].value === value) {
      return status[key].name || ""
    }
  }
}
export function getStatusList(list) {
  let statusList = []
  list.forEach(item => {
    for (let key in status) {
      if (key == item) {
        statusList.push(status[key])
      }
    }
  })
  return statusList
}

export function getCodeName(code, list, codeName, lableName) {
  let name = ''
  list.forEach(item => {
    if (item[codeName] == code) {
      name = item[lableName]
    }
  })
  return name
}
//树形品种处理
let str = ""
export function getTreeVal(data, val) {
  // debugger
  // 循环遍历json数据
  if (data.length > 0) {

    for (var i = 0; i < data.length; i++) {
      if (data[i].subDataDictionarys == null) {
        if (data[i].dictCode == val) {
          // console.log(data[i].dictName)
          str = data[i].dictName;

          // break;
          // return str;
          // throw str;
        }
      } else {
        // subDataDictionarys 递归调用 本方法
        getTreeVal(data[i].subDataDictionarys, val);

      }
    }
  } else {
    if (data.dictCode == val) {
      str = data.dictName;

      // throw str;
      // return str;
    }
  }
  // console.log(str)
  return str;
}


